Page MenuHomePhabricator

Select #Possible-Tech-Projects ready for Outreachy Round 11
Closed, ResolvedPublic

Description

We need to offer a list of featured project ideas for Outreachy-Round-11 candidates. The minimum steps required are:

  1. Send a call to all the Possible-Tech-Projects open tasks (via batch edit) announcing the upcoming round and encouraging them to either have a proposal and mentors ready, explicitly pass for the current round, or remove the Possible-Tech-Projects tag if the task is not fit for our outreach programs anymore.
  2. Send a call for new project ideas and mentors to wikitech-l, to be forwarded to WMF Engineering internal mailing list.
  3. Place each task in the right column of the Possible-Tech-Projects workboard.
  4. Feature the selected project ideas at the Outreachy 11 wiki page (T112614).

Event Timeline

Qgil created this task.Sep 15 2015, 7:08 AM
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
prnk28 added a subscriber: prnk28.Sep 15 2015, 9:44 AM
Qgil added a comment.Sep 23 2015, 9:20 AM

I have commented in all the Possible-Tech-Projects open tasks (via batch edit). In order to send an announcement to wikitech-l we would need a Outreachy 11 landing page, really (T112614).

Qgil set Security to None.
Qgil added a comment.Sep 28 2015, 11:27 AM

Email sent to wikitech-l and forwarded to WMF's internal Engineering list.

greg added a subscriber: greg.Sep 28 2015, 7:31 PM

When are projects due?

greg added a comment.EditedSep 28 2015, 7:41 PM

So, it's not explicitly listed there (I did, in fact, look there before I asked), but by guessing, Sept 29th?

@greg, Application deadline seems to be 2nd November. Any time before that, the student should find a project and a mentor for it.

Qgil moved this task from Backlog to Doing on the DevRel-September-2015 board.Sep 29 2015, 6:18 PM

Hello I am newbie and i am interested in this. I want to know more about it and looking forward to contribute in this

TasneemLo added a subscriber: TasneemLo.EditedOct 1 2015, 4:06 AM

@lamneha - there's a board named Possible-Tech-Projects which has a list of projects which you can look into - This is meant for things like Outreachy.

A lot of projects currently do not have mentors, and are in the "Missing Mentors" column, but you can look into ones you're interested and approach the people who have been active in it and ask them on IRC (or in the phabricator task itself) if they would be interested in mentoring the project for Outreachy Round 11.

Thank you so much for your reply. I will choose project very soon and if i
find someone who is interested in mentoring then i'll tell them to apply.

i am interested in this. I want to know more about it and looking forward to contribute in this

Hi @Iamneha, I'm not sure what exactly the "this" refers to in your sentences, but if you refer to Outreachy, please see https://www.mediawiki.org/wiki/Outreachy/Round_11 for information. Thanks!

yes this is nothing but outreachy

Qgil added a comment.Oct 2 2015, 10:32 AM

@TasneemLo and other volunteers following this task: we need help going through the tasks at Possible-Tech-Projects under the Backlog and Re-check in September 2015, and

  • move then under Need Discussion if the project is not clear, there doesn't seem to be consensus, or other reasons that would impede a candidate to even see whether a proposal is welcome.
  • move them under Missing Mentors if they look like ready but they miss the two mentors.
  • remove the Possible-Tech-Projects label if someone has questioned that they are suitable for this and nobody contested, or if you see that they are no good tasks for these internships.

Let's see whether we can clean both columns by next week. I will try to help over the weekend.

@Qgil - I attempted to sort out a few tasks in the board, I find that there may be need for some more columns.

  • Column for "Check again in March" - for the next GSoC/Outreachy
  • Column for "Featured in Grants" for those tasks that are applying to grants, but not outreachy/gsoc.

You can check all the things I've done easily at this link - https://phabricator.wikimedia.org/p/TasneemLo/
Do roll back anything I might've done wrong.

  • Column for "Check again in March" - for the next GSoC/Outreachy

Could someone clean "Re-check in September 2015" and rename the column to "Re-check in Sep/Mar"?

  • Column for "Featured in Grants" for those tasks that are applying to grants, but not outreachy/gsoc.

Is the differentiation between Grants, Outreachy and GSoC important? (I assume so?) Or could that be merged in one column?

I don't see a need for "Featured in Grants", why would anyone apply for a grant instead of Outreachy? And anyway, this board is for mentorship program only, right? If not, I would suggest splitting it.

@NiharikaKohli, The reason I brought this up was because of this task : T91748

Qgil added a comment.Oct 5 2015, 7:20 AM

How I think the workboard should work.

I think we need to leave IEG out of the equation. "Featured for GSoC and Outreachy" (software development) and "Featured for Outreachy" (non-development tect tasks) are possible tech projects that we are endorsing after they have gone through the process to become featured. With IEG proposals we are not endorsing anything, since anyone can create an IEG proposal. IEG proposals can try to get a developer via outreach programs as well. If those IEG proposals get a grant, then we can remove Possible-Tech-Projects just like we do with the projects that are selected in GSoC/Outreachy rounds.

About "Re-check in September 2015", we can rename the column "Re-check in February 2016" once the column is empty and the Outreachy 11 projects have been announced. Then we can move there the "Featured for..." and "Missing Mentors" tasks (projects that are clear but might or might not have mentors in the next round). Meanwhile, unclear projects are kept under "Need Discussion" until they are clear. This way we avoid unclear projects moving to Re-check... and clear projects moving back to Need Discussion.

Qgil added a comment.Oct 5 2015, 11:44 AM

Backlog column clean! still 16 tasks under "Re-check in September 2015".

Qgil assigned this task to TasneemLo.Oct 7 2015, 2:09 PM

@TasneemLo is working on this, and very diligently. Thank you! I'm assigning this task to you, just reflecting the reality.

Qgil removed TasneemLo as the assignee of this task.Oct 7 2015, 3:54 PM
Qgil added a comment.Oct 7 2015, 4:00 PM

Actually I just realized that @TasneemLo is also a potential candidate, so I'd rather don't distract her.

Thank you for helping out, again. With your help, now the "Re-check in September 2015" column is empty and archived.

Next: review the status of the tasks under "Missing mentors". I just moved one that had two mentors (but I had missed it because I'm lagging in phabmail).

  • If the task has two mentors and all what is left are little details, let's move it Featured.
  • If the task has one mentor, let's try to help finding a second one i.e. informing that it is not so much work when there are two mentors, etc.
  • If the task is missing both mentors... let's ping and use our imagination. :)

Thank You @Qgil, @NiharikaKohli for notifying me about the state of this task.

I am happy to help the team for Outrechy-11 by being an org admin! I hope my experience on being the both side of the program will help me figure things out! and thank you @TasneemLo and others for your works !

Qgil added a comment.Oct 14 2015, 9:35 AM

It is time to fill the Project ideas section at https://www.mediawiki.org/wiki/Outreachy/Round_11

For that, the Possible Projects needs to be updated, see how it looked like in the previous round.

We have seven featured project ideas at https://phabricator.wikimedia.org/tag/possible-tech-projects/, which is a good number for a Winter round. I would focus on promoting these featured ideas now.

We can give a deadline of one week to proposals under Missing Mentors, and after this deadline move the ones that won't be featured to Re-check in February.

We can also give a deadline of one week to proposals Under Discussions that have been active in the past days, posting a comment in their tasks.

This way, by October 22 we would close the gates for new featured project ideas, allowing candidates to prepare their proposals focusing on them and forgetting about the rest.

Notifications sent to all projects proposals in missing-mentors of Possible-Tech-Projects with a text similar to https://phabricator.wikimedia.org/P2208 with a deadline of October 22nd to come up with 2 mentors.

All projects in Possible-Tech-Projects Featured for Outreachy and GSoC moved to Outreachy-Round-11 ( Featured Project Ideas ).

15:10 <qgil> after Wednesday, those under missing mentors will be moved to Re-check in Feb
Qgil moved this task from Backlog to Organization on the Outreachy-Round-11 board.Oct 28 2015, 2:55 PM
Qgil closed this task as Resolved.Nov 3 2015, 9:17 PM

Task completed. Congratulations to everybody involved!